OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_CartesianTransformationOperator3d Class Reference

`#include <StepGeom_CartesianTransformationOperator3d.hxx>`

Inheritance diagram for StepGeom_CartesianTransformationOperator3d:

[legend]

## Public Member Functions
Standard_EXPORT | StepGeom_CartesianTransformationOperator3d ()
| Returns a CartesianTransformationOperator3d .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Boolean hasAaxis1, const Handle(StepGeom_Direction)&aAxis1, const Standard_Boolean hasAaxis2, const Handle(StepGeom_Direction)&aAxis2, const Handle(StepGeom_CartesianPoint)&aLocalOrigin, const Standard_Boolean hasAscale, const Standard_Real aScale)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Boolean hasAaxis1, const Handle(StepGeom_Direction)&aAxis1, const Standard_Boolean hasAaxis2, const Handle(StepGeom_Direction)&aAxis2, const Handle(StepGeom_CartesianPoint)&aLocalOrigin, const Standard_Boolean hasAscale, const Standard_Real aScale, const Standard_Boolean hasAaxis3, const Handle(StepGeom_Direction)&aAxis3)
Standard_EXPORT void | SetAxis3 (const Handle(StepGeom_Direction)&aAxis3)
Standard_EXPORT void | UnSetAxis3 ()
Standard_EXPORT Handle_StepGeom_Direction | Axis3 () const
Standard_EXPORT Standard_Boolean | HasAxis3 () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepGeom_Direction | axis3
Standard_Boolean | hasAxis3

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_CartesianTransformationOperator3d::StepGeom_CartesianTransformationOperator3d | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepGeom_Direction StepGeom_CartesianTransformationOperator3d::Axis3 | ( |  | ) | const

Standard_EXPORT const StepGeom_CartesianTransformationOperator3d::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_CartesianTransformationOperator.

Standard_EXPORT Standard_Boolean StepGeom_CartesianTransformationOperator3d::HasAxis3 | ( |  | ) | const

virtual Standard_EXPORT void StepGeom_CartesianTransformationOperator3d::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Boolean | hasAaxis1,
|  | const Handle(StepGeom_Direction)& | aAxis1,
|  | const Standard_Boolean | hasAaxis2,
|  | const Handle(StepGeom_Direction)& | aAxis2,
|  | const Handle(StepGeom_CartesianPoint)& | aLocalOrigin,
|  | const Standard_Boolean | hasAscale,
|  | const Standard_Real | aScale,
|  | const Standard_Boolean | hasAaxis3,
|  | const Handle(StepGeom_Direction)& | aAxis3
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_CartesianTransformationOperator3d::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Boolean | hasAaxis1,
|  | const Handle(StepGeom_Direction)& | aAxis1,
|  | const Standard_Boolean | hasAaxis2,
|  | const Handle(StepGeom_Direction)& | aAxis2,
|  | const Handle(StepGeom_CartesianPoint)& | aLocalOrigin,
|  | const Standard_Boolean | hasAscale,
|  | const Standard_Real | aScale
| ) | `[virtual]`

| Reimplemented from StepGeom_CartesianTransformationOperator.

Standard_EXPORT void StepGeom_CartesianTransformationOperator3d::SetAxis3 | ( | const Handle(StepGeom_Direction)& | aAxis3 | ) |

Standard_EXPORT void StepGeom_CartesianTransformationOperator3d::UnSetAxis3 | ( |  | ) |

## Field Documentation

Handle_StepGeom_Direction StepGeom_CartesianTransformationOperator3d::axis3`[private]`

Standard_Boolean StepGeom_CartesianTransformationOperator3d::hasAxis3`[private]`

The documentation for this class was generated from the following file:

- StepGeom_CartesianTransformationOperator3d.hxx